## org.eclipse.datatools.connectivity.oda.design
Interface Locale

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface Locale

extends org.eclipse.emf.ecore.EObject

Represents a specific geographical, political, or cultural region.

The following features are supported:

- `Language`
- `Country`
- `Variant`

See Also:
  `DesignPackage.getLocale()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getCountry()` Returns the value of the 'Country' attribute.
`java.lang.String` `getLanguage()` Returns the value of the 'Language' attribute.
`com.ibm.icu.util.ULocale` `getLocale()` Returns the locale value as an ULocale object.
`java.lang.String` `getVariant()` Returns the value of the 'Variant' attribute.
`boolean` `isSetLanguage()` Returns whether the value of the '`Language`' attribute is set.
`void` `setCountry(java.lang.String value)` Sets the value of the '`Country`' attribute.
`void` `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute.
`void` `setLocale(com.ibm.icu.util.ULocale locale)` Sets all the locale values.
`void` `setVariant(java.lang.String value)` Sets the value of the '`Variant`' attribute.
`java.lang.String` `toLanguageCountryString()` Getter for the programmatic name of the entire locale, with the language and country separated by underbars.
`void` `unsetLanguage()` Unsets the value of the '`Language`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getLocale

    com.ibm.icu.util.ULocale getLocale()

  Returns the locale value as an ULocale object.

  Returns:
    a com.ibm.icu.util.ULocale object

### setLocale

    void setLocale(com.ibm.icu.util.ULocale locale)

  Sets all the locale values.

  Parameters:
    `a` - ULocale object

### toLanguageCountryString

    java.lang.String toLanguageCountryString()

  Getter for the programmatic name of the entire locale, with the language and country separated by underbars. Language is always lower case, and country is always upper case. If the required language is missing, this function will return the default locale's value. The variant value, if any, is ignored. Examples: "en", "de", "de_DE".

  Returns:
    a string representation of the locale's language and country.

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute. The default value is `"en"`. An ISO Language Code; lower-case, two-letter codes as defined by ISO-639.

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `isSetLanguage()`, `unsetLanguage()`, `setLanguage(String)`, `DesignPackage.getLocale_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `isSetLanguage()`, `unsetLanguage()`, `getLanguage()`

### unsetLanguage

    void unsetLanguage()

  Unsets the value of the '`Language`' attribute.

  See Also:
    `isSetLanguage()`, `getLanguage()`, `setLanguage(String)`

### isSetLanguage

    boolean isSetLanguage()

  Returns whether the value of the '`Language`' attribute is set.

  Returns:
    whether the value of the 'Language' attribute is set.
  See Also:
    `unsetLanguage()`, `getLanguage()`, `setLanguage(String)`

### getCountry

    java.lang.String getCountry()

  Returns the value of the 'Country' attribute. An ISO Country Code; upper-case, two-letter codes as defined by ISO-3166.

  Returns:
    the value of the 'Country' attribute.
  See Also:
    `setCountry(String)`, `DesignPackage.getLocale_Country()`

### setCountry

    void setCountry(java.lang.String value)

  Sets the value of the '`Country`' attribute.

  Parameters:
    `value` - the new value of the 'Country' attribute.
  See Also:
    `getCountry()`

### getVariant

    java.lang.String getVariant()

  Returns the value of the 'Variant' attribute. A vendor or browser-specific code.

  Returns:
    the value of the 'Variant' attribute.
  See Also:
    `setVariant(String)`, `DesignPackage.getLocale_Variant()`

### setVariant

    void setVariant(java.lang.String value)

  Sets the value of the '`Variant`' attribute.

  Parameters:
    `value` - the new value of the 'Variant' attribute.
  See Also:
    `getVariant()`